##
## Diff  ``without R version''
## usage: Rdiff from-file to-file exitstatus
## from-file equal to `-' means STDIN

ffile=${1}
tfile=${2}
exitstatus=${3}

## sed script to get rid of the startup message
script='/^R : Copyright/,/quit R.$/{d;}'
## egrep pattern to get rid of some more???
pattern='(^Number of.*:|^Time |^Loading required package.*'
if test -n "`echo ${ffile} | grep primitive-funs`"; then
  pattern=${pattern}'|^\[1\] [19][0-9][0-9])'
else
  pattern=${pattern}')'
fi

tmpfile=${TMPDIR-/tmp}/${ffile}-d.${$}

if test ${ffile} = '-' ; then 
  ffile=''
fi

sed -e "${script}" ${ffile} | egrep -v "${pattern}" > ${tmpfile}
(sed -e "${script}" ${tfile} | \
  egrep -v "${pattern}" | \
  diff -bw ${tmpfile} - ) && exitstatus=0

rm -f ${tmpfile}

exit ${exitstatus}
